Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
Announce: just another one udev fork
View unanswered posts
View posts from last 24 hours

Goto page Previous  1, 2, 3, 4 ... 12, 13, 14  Next  
Reply to topic    Gentoo Forums Forum Index Kernel & Hardware
View previous topic :: View next topic  
Author Message
khayyam
Advocate
Advocate


Joined: 07 Jun 2012
Posts: 2342

PostPosted: Sat Sep 01, 2012 8:36 am    Post subject: Reply with quote

VinzC wrote:
I have udev-171-r6 and udevadm info -V returns only an integer number:
udevadm info -V:
171

There's no second nor third field. So I guess that's laptop-mode that's already mistaken.

VinzC ... yes, but 'echo 171 | cut -b 1' will return an integer, and not an alpha. Looking at the script in question its not at all correct and I don't think it'll do as expected either way, but thats somewhat besides the point, we don't really know what else may be doing the same, only properly.

best ... khay
Back to top
View user's profile Send private message
grey_dot
Tux's lil' helper
Tux's lil' helper


Joined: 15 Jul 2012
Posts: 142

PostPosted: Sat Sep 01, 2012 9:42 pm    Post subject: Reply with quote

khayyam wrote:
VinzC wrote:
I have udev-171-r6 and udevadm info -V returns only an integer number:
udevadm info -V:
171

There's no second nor third field. So I guess that's laptop-mode that's already mistaken.

VinzC ... yes, but 'echo 171 | cut -b 1' will return an integer, and not an alpha. Looking at the script in question its not at all correct and I don't think it'll do as expected either way, but thats somewhat besides the point, we don't really know what else may be doing the same, only properly.

best ... khay


You got me. LVM also needs numeric version, so we probably will follow the systemd version for now.

Also, our overlay is up. https://bitbucket.org/braindamaged/udev-overlay/. kmod configured properly included.
Back to top
View user's profile Send private message
khayyam
Advocate
Advocate


Joined: 07 Jun 2012
Posts: 2342

PostPosted: Sun Sep 02, 2012 7:51 am    Post subject: Reply with quote

grey_dot wrote:
You got me. LVM also needs numeric version, so we probably will follow the systemd version for now.

grey_dot ... I imagine there are probably others to. I'm not sure how you might go about handling this, but for easy of transition its probably best to leave things as they are.

grey_dot wrote:
Also, our overlay is up. kmod configured properly included.

OK, great. You should probably send an email to overlays at gentoo.org, so that is can be added to repositories.xml (and so available via layman). BTW, feel free to add the udev-init-scripts-16.ebuild I provided above.

best ... khay

EDIT: I just rebuilt udev and kmod from the udev-overlay, and the Manifest for udev is broken so you might want to fix that.

Also when running revdep-rebuild, lvm2 (2.02.88 with USE="static" which is +static in IUSE) will fail unless udev is built with the 'static-libs' useflag.
Back to top
View user's profile Send private message
grey_dot
Tux's lil' helper
Tux's lil' helper


Joined: 15 Jul 2012
Posts: 142

PostPosted: Sun Sep 02, 2012 11:19 am    Post subject: Reply with quote

khayyam wrote:

EDIT: I just rebuilt udev and kmod from the udev-overlay, and the Manifest for udev is broken so you might want to fix that.


Sorry, my bad. Fixed.

khayyam wrote:

Also when running revdep-rebuild, lvm2 (2.02.88 with USE="static" which is +static in IUSE) will fail unless udev is built with the 'static-libs' useflag.


That's expected, because you need libudev (and other lvm dependencies) to provide libraries for static linking.
Back to top
View user's profile Send private message
khayyam
Advocate
Advocate


Joined: 07 Jun 2012
Posts: 2342

PostPosted: Sun Sep 02, 2012 3:54 pm    Post subject: Reply with quote

grey_dot wrote:
khayyam wrote:
Also when running revdep-rebuild, lvm2 (2.02.88 with USE="static" which is +static in IUSE) will fail unless udev is built with the 'static-libs' useflag.

That's expected, because you need libudev (and other lvm dependencies) to provide libraries for static linking.

yes, it was said more as a warning to others, becuase the gentoo lvm2 packages have 'static' set by default.

best ... khay
Back to top
View user's profile Send private message
genstorm
Advocate
Advocate


Joined: 05 Apr 2007
Posts: 2482
Location: Austria

PostPosted: Sun Sep 02, 2012 4:01 pm    Post subject: Reply with quote

That's interesting. For sys-fs/lvm2-2.02.97 this is not the case.
_________________
backend.cpp:92:2: warning: #warning TODO - this error message is about as useful as a cooling unit in the arctic
Back to top
View user's profile Send private message
sylware
Apprentice
Apprentice


Joined: 16 Oct 2004
Posts: 159
Location: European Union (Paris / France)

PostPosted: Wed Sep 05, 2012 10:27 am    Post subject: Reply with quote

I got the code from the bitbucket fork.
I did minimalized it, removed the autotools and coded a basic ebuild
to override official udev ebuild.
https://code.google.com/p/mudev
https://www.gitorious.org/sylware-linux/mudev
https://github.com/sylware/mudev
Back to top
View user's profile Send private message
DaggyStyle
Advocate
Advocate


Joined: 22 Mar 2006
Posts: 4971

PostPosted: Wed Sep 05, 2012 11:01 am    Post subject: Reply with quote

sylware wrote:
I got the code from the bitbucket fork.
I did minimalized it, removed the autotools and coded a basic ebuild
to override official udev ebuild.
https://code.google.com/p/mudev
https://www.gitorious.org/sylware-linux/mudev
https://github.com/sylware/mudev


so wait, now it is a fork for the fork?
_________________
Only two things are infinite, the universe and human stupidity and I'm not sure about the former - Albert Einstein
ProjectFootball
Back to top
View user's profile Send private message
sylware
Apprentice
Apprentice


Joined: 16 Oct 2004
Posts: 159
Location: European Union (Paris / France)

PostPosted: Wed Sep 05, 2012 7:59 pm    Post subject: Reply with quote

DaggyStyle wrote:
sylware wrote:
I got the code from the bitbucket fork.
I did minimalized it, removed the autotools and coded a basic ebuild
to override official udev ebuild.
https://code.google.com/p/mudev
https://www.gitorious.org/sylware-linux/mudev
https://github.com/sylware/mudev


so wait, now it is a fork for the fork?


Nope... this is the fork code.
Some code removed and no autotools, bare brutal makefiles (and an ebuild for overlays)
Back to top
View user's profile Send private message
khayyam
Advocate
Advocate


Joined: 07 Jun 2012
Posts: 2342

PostPosted: Wed Sep 05, 2012 8:52 pm    Post subject: Reply with quote

sylware wrote:
I got the code from the bitbucket fork. I did minimalized it, removed the autotools and coded a basic ebuild to override official udev ebuild.

sylware ... I installed the udev-189.ebuild but had some issues when booting and didn't have the time to look into it as I was right in the middle of something when I tried. It may be due to locating udevd from /lib to /sbin or the various things not installed to /lib/udev/* /etc/* ... or perhaps my udev-init-scripts package, or relocation of files from kmod. Anyhow, it didn't work out well, and I didn't have time to see what the issue(s) might be.

best ... khay
Back to top
View user's profile Send private message
sylware
Apprentice
Apprentice


Joined: 16 Oct 2004
Posts: 159
Location: European Union (Paris / France)

PostPosted: Wed Sep 05, 2012 9:31 pm    Post subject: Reply with quote

khayyam wrote:
sylware wrote:
I got the code from the bitbucket fork. I did minimalized it, removed the autotools and coded a basic ebuild to override official udev ebuild.

sylware ... I installed the udev-189.ebuild but had some issues when booting and didn't have the time to look into it as I was right in the middle of something when I tried. It may be due to locating udevd from /lib to /sbin or the various things not installed to /lib/udev/* /etc/* ... or perhaps my udev-init-scripts package, or relocation of files from kmod. Anyhow, it didn't work out well, and I didn't have time to see what the issue(s) might be.

best ... khay

Indeed, I don't use openrc, I use cinitramfs.
Then if openrc hardcodes udevd and udevdadm paths... it won't work nicely...
Possible to modify the ebuild to setup proper symlinks at locations expected by openrc.
Back to top
View user's profile Send private message
grey_dot
Tux's lil' helper
Tux's lil' helper


Joined: 15 Jul 2012
Posts: 142

PostPosted: Thu Sep 06, 2012 6:29 am    Post subject: Reply with quote

sylware wrote:
I got the code from the bitbucket fork.
I did minimalized it, removed the autotools and coded a basic ebuild
to override official udev ebuild.
https://code.google.com/p/mudev
https://www.gitorious.org/sylware-linux/mudev
https://github.com/sylware/mudev


Hey, awesome idea. We already thought of that, but we still do need autotools and gtk-doc for documentation and stuff.

khayyam wrote:
I installed the udev-189.ebuild but had some issues when booting and didn't have the time to look into it as I was right in the middle of something when I tried.


Try installing udev-init-scripts from our overlay or manually fix the path at /etc/init.d/udev. Also try running revdep-rebuild.
Back to top
View user's profile Send private message
DaggyStyle
Advocate
Advocate


Joined: 22 Mar 2006
Posts: 4971

PostPosted: Thu Sep 06, 2012 6:55 am    Post subject: Reply with quote

sorry but I still don't follow, thats the diff between https://code.google.com/p/mudev and https://bitbucket.org/braindamaged/udev/overview ?
_________________
Only two things are infinite, the universe and human stupidity and I'm not sure about the former - Albert Einstein
ProjectFootball
Back to top
View user's profile Send private message
khayyam
Advocate
Advocate


Joined: 07 Jun 2012
Posts: 2342

PostPosted: Thu Sep 06, 2012 7:56 am    Post subject: Reply with quote

grey_dot wrote:
khayyam wrote:
I installed the udev-189.ebuild but had some issues when booting and didn't have the time to look into it as I was right in the middle of something when I tried.

Try installing udev-init-scripts from our overlay or manually fix the path at /etc/init.d/udev. Also try running revdep-rebuild.

greg_dot ... that particular package doesn't install anything to /etc/*, or indeed anything in /lib/udev/rules.d, and (as I remember) /lib/udev. Also, /lib/udev/udevd is installed as /sbin/udevd, which while a more logical location for a daemon, is not the path provided by udev-init-scripts::udev-overlay.

As for revdep-rebuild, there should be no reason for it, the library versions are the same as sys-fs/udev-9999::udev-overlay so I doubt this is the issue. Basically, the package only installs the minimal of udev components, so paths aside, the rules.d/* will not be applied, but again, I didn't have time to look into it.

sylware wrote:
[...] I don't use openrc, I use cinitramfs. Then if openrc hardcodes udevd and udevdadm paths... it won't work nicely... possible to modify the ebuild to setup proper symlinks at locations expected by openrc.

sylware ... indeed /etc/conf.d/udev from ::udev-overlay has 'udev_cmd=/lib/udev/udevd' which is no doubt in part why the above failed, but there is also the issue of rules.d/ and other components ... I should have kept a list of what was installed but as I said I was in a hurry to reboot and get on with other things.

best ... khay
Back to top
View user's profile Send private message
sylware
Apprentice
Apprentice


Joined: 16 Oct 2004
Posts: 159
Location: European Union (Paris / France)

PostPosted: Thu Sep 06, 2012 4:25 pm    Post subject: Reply with quote

grey_dot wrote:
sylware wrote:
I got the code from the bitbucket fork.
I did minimalized it, removed the autotools and coded a basic ebuild
to override official udev ebuild.
https://code.google.com/p/mudev
https://www.gitorious.org/sylware-linux/mudev
https://github.com/sylware/mudev


Hey, awesome idea. We already thought of that, but we still do need autotools and gtk-doc for documentation and stuff.

khayyam wrote:
I installed the udev-189.ebuild but had some issues when booting and didn't have the time to look into it as I was right in the middle of something when I tried.


Try installing udev-init-scripts from our overlay or manually fix the path at /etc/init.d/udev. Also try running revdep-rebuild.

Updated the ebuild to be more openrc friendly (mostly paths)
Back to top
View user's profile Send private message
Jubei-Mitsuyoshi
n00b
n00b


Joined: 05 Sep 2012
Posts: 12

PostPosted: Fri Sep 07, 2012 11:31 am    Post subject: Reply with quote

Hi all, i am involved in an effort to provide a bunch of "non-systemd" packages over at Arch

https://bbs.archlinux.org/viewtopic.php?id=148429

obviously am watching this thread with GREAT interest.

PLEASE PLEASE keep up the good work, i am very much relying on this effort, and if anyone has any Arch experience please keep us somewhere in the back of your mind when formatting patches :)
Back to top
View user's profile Send private message
khayyam
Advocate
Advocate


Joined: 07 Jun 2012
Posts: 2342

PostPosted: Fri Sep 07, 2012 5:24 pm    Post subject: Reply with quote

Jubei-Mitsuyoshi wrote:
Hi all, i am involved in an effort to provide a bunch of "non-systemd" packages over at Arch

Jubei-Mitsuyoshi ... I have to say, reading that thread caused some of my hair to fall out :) ... while I have nothing against Arch I can't understand how the replacement of a package (and dependent packages) need be so difficult, it really was only a matter of 15 minutes work to replace udev with udev-standalone on my machine, and that includes some faffing arround with the udev-init-scripts ebuild to apply the two patches from the udev overlay. This is really the distinct advantage of portage.

Jubei-Mitsuyoshi wrote:
PLEASE PLEASE keep up the good work, i am very much relying on this effort, and if anyone has any Arch experience please keep us somewhere in the back of your mind when formatting patches :)

The only patches that exist are for a seperate package (udev-init-scripts) and these are openrc specific and so outside the realm of possible issues for arch. As far as the udev-standalone fork goes I have been able to build, and run, it successfully on consecutive days since first installing last week, with only a few minor issues (related to version naming cited above). So, at least in my case it was a drop in replacement, and you shouldn't have any issues packaging it, though it sounds as though there are additional complexities with regards to Arch init your end.

EDIT:

grey_dot ... I ment to mention that now that udevd has moved to /sbin (yay!) the patches for udev-init-scipts-16::udev-overlay should be changed to reflect this. I noticed they are still using the old path after just pulling the tree a few minutes ago.

Also, you really should send an email to overlays[shift+2]gentoo.org so that these ebuilds can be on the official overlay list and available via layman. Basically, it'd be a first step to wider adoption.

best ... khay
Back to top
View user's profile Send private message
grey_dot
Tux's lil' helper
Tux's lil' helper


Joined: 15 Jul 2012
Posts: 142

PostPosted: Fri Sep 07, 2012 7:51 pm    Post subject: Reply with quote

khayyam wrote:

Jubei-Mitsuyoshi ... I have to say, reading that thread caused some of my hair to fall out :) ... while I have nothing against Arch I can't understand how the replacement of a package (and dependent packages) need be so difficult, it really was only a matter of 15 minutes work to replace udev with udev-standalone on my machine, and that includes some faffing arround with the udev-init-scripts ebuild to apply the two patches from the udev overlay. This is really the distinct advantage of portage.


That's cuz they cannot rebuild all the necessary packages with just one command (:

khayyam wrote:

grey_dot ... I ment to mention that now that udevd has moved to /sbin (yay!) the patches for udev-init-scipts-16::udev-overlay should be changed to reflect this. I noticed they are still using the old path after just pulling the tree a few minutes ago.


I've just added udev-init-scripts-9999 to deal with this.

khayyam wrote:

Also, you really should send an email to overlays[shift+2]gentoo.org so that these ebuilds can be on the official overlay list and available via layman. Basically, it'd be a first step to wider adoption.

best ... khay


Yeah, I know. I just got a little bit stuck with my primary work.
Back to top
View user's profile Send private message
grey_dot
Tux's lil' helper
Tux's lil' helper


Joined: 15 Jul 2012
Posts: 142

PostPosted: Sat Sep 08, 2012 3:57 pm    Post subject: Reply with quote

From now on you can add our overlay with `layman -a udev' command. I strongly suggest also installing kmod from it, so udev doesn't have any dependencies in /usr.
Back to top
View user's profile Send private message
Jubei-Mitsuyoshi
n00b
n00b


Joined: 05 Sep 2012
Posts: 12

PostPosted: Sat Sep 08, 2012 10:23 pm    Post subject: Reply with quote

edited out :)

Last edited by Jubei-Mitsuyoshi on Mon Sep 10, 2012 1:20 am; edited 1 time in total
Back to top
View user's profile Send private message
khayyam
Advocate
Advocate


Joined: 07 Jun 2012
Posts: 2342

PostPosted: Sat Sep 08, 2012 10:42 pm    Post subject: Reply with quote

Jubei-Mitsuyoshi wrote:
[...] So to that end i have written a few words i would like you guys to comment on, a kind of statement of intent.[...]

Jubei-Mitsuyoshi ... if there is any interest it should really be discussed in a seperate thread, otherwise this thread will become less about udev-standalone and more about, well, whatever it is your proposing.

best ... khay
Back to top
View user's profile Send private message
khayyam
Advocate
Advocate


Joined: 07 Jun 2012
Posts: 2342

PostPosted: Sun Sep 09, 2012 10:20 am    Post subject: Reply with quote

grey_dot wrote:
From now on you can add our overlay with `layman -a udev' command. I strongly suggest also installing kmod from it, so udev doesn't have any dependencies in /usr.

grey_dot ... good news.

I've tested both udev-189 and udev-9999, udev-init-scripts-16, and both kmod-9-r4 and kmod-10 ebuilds, and everything seems to be in order.

Thanks for all the work in this regard & best ... khay

EDIT: actually, I was mistaken, there is one issue, udev-189 will install udevd to /lib/udev, the tarball should be updated to reflect the move to /sbin. Also, this ebuild should be keyworded (at least for ~x86) as otherwise its not possible to select this ebuild over 9999 (both being **).


Last edited by khayyam on Mon Sep 10, 2012 11:06 am; edited 1 time in total
Back to top
View user's profile Send private message
Jubei-Mitsuyoshi
n00b
n00b


Joined: 05 Sep 2012
Posts: 12

PostPosted: Sun Sep 09, 2012 12:51 pm    Post subject: Reply with quote

khayyam wrote:
Jubei-Mitsuyoshi wrote:
[...] So to that end i have written a few words i would like you guys to comment on, a kind of statement of intent.[...]

Jubei-Mitsuyoshi ... if there is any interest it should really be discussed in a seperate thread, otherwise this thread will become less about udev-standalone and more about, well, whatever it is your proposing.

best ... khay


good point, can someone move it or something, or should i just edit it out?
Back to top
View user's profile Send private message
khayyam
Advocate
Advocate


Joined: 07 Jun 2012
Posts: 2342

PostPosted: Sun Sep 09, 2012 1:12 pm    Post subject: Reply with quote

Jubei-Mitsuyoshi wrote:
khayyam wrote:
Jubei-Mitsuyoshi ... if there is any interest it should really be discussed in a seperate thread, otherwise this thread will become less about udev-standalone and more about, well, whatever it is your proposing.

good point, can someone move it or something, or should i just edit it out?

Jubei-Mitsuyoshi ... just edit and move to a more relevant section.

best ... khay
Back to top
View user's profile Send private message
Jimmy Jazz
Apprentice
Apprentice


Joined: 04 Oct 2004
Posts: 274
Location: Strasbourg

PostPosted: Mon Sep 10, 2012 1:37 pm    Post subject: Re: Announce: just another one udev fork Reply with quote

consus wrote:
Hello. I want to announce new udev fork
Main advantages (compared to mainstream) are:

  • separate /usr works just fine
  • we will not drop useful features like unix-socket support
  • we will not try to integrate with any init system, so if you want to use sysV-init you can do it without any hacks



I didn't test your udev fork on github right now, but It is a good idea to separate it from systemd
Also I modified the actual udev ebuild to avoid /run and /usr directories.
FYI, I don't use gentoo initscripts at all.

If you are curious about how other devs proceed without udev, you could read the s6-devd code
http://www.skarnet.org/software/s6-linux-utils/index.html

see sys-apps/s6-linux-utils ebuild.

Code:
# diff -ruN /usr/portage/sys-fs/udev/udev-189.ebuild udev-189.ebuild
--- /usr/portage/sys-fs/udev/udev-189.ebuild   2012-08-24 18:21:22.000000000 +0200
+++ udev-189.ebuild   2012-08-25 16:13:08.713313195 +0200
@@ -1,6 +1,6 @@
 # Copyright 1999-2012 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/sys-fs/udev/udev-189.ebuild,v 1.1 2012/08/24 16:21:22 williamh Exp $
+# $Header: $
 
 EAPI=4
 
@@ -13,12 +13,12 @@
    EGIT_REPO_URI="git://anongit.freedesktop.org/systemd/systemd"
    inherit git-2
 else
-   patchset=1
+   patchversion=
    SRC_URI="http://www.freedesktop.org/software/systemd/systemd-${PV}.tar.xz"
-   if [[ -n "${patchset}" ]]
+   if [[ -n "${patchversion}" ]]
       then
             SRC_URI="${SRC_URI}
-               http://dev.gentoo.org/~williamh/dist/${P}-patches-${patchset}.tar.bz2"
+               mirror://gentoo/${P}-patches-${patchversion}.tar.bz2"
          fi
    KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86"
 fi
@@ -69,7 +69,7 @@
 
 S="${WORKDIR}/systemd-${PV}"
 
-udev_check_KV()
+check_KV()
 {
    if kernel_is lt ${KV_min//./ }
    then
@@ -101,7 +101,7 @@
 
    linux-info_pkg_setup
 
-   if ! udev_check_KV
+   if ! check_KV
    then
       eerror "Your kernel version (${KV_FULL}) is too old to run ${P}"
       eerror "It must be at least ${KV_min}!"
@@ -109,7 +109,7 @@
 
    KV_FULL_SRC=${KV_FULL}
    get_running_version
-   if ! udev_check_KV
+   if ! check_KV
    then
       eerror
       eerror "Your running kernel version (${KV_FULL}) is too old"
@@ -121,17 +121,24 @@
 src_prepare()
 {
    # backport some patches
-   if [[ -n "${patchset}" ]]
+   if [[ -n "${patchversion}" ]]
    then
       EPATCH_SUFFIX=patch EPATCH_FORCE=yes epatch
    fi
 
+   find . -type f -name "*.[hc]" -exec sed -i.ori 's:/cgroup/systemd:/cgroup/daemon:g' {} +
+   find . -type f -name "*.[hc]" -exec sed -i.ori 's:/run/systemd:/var/run/systemd:g' {} +
+   find . -type f -name "*.[hc]" -exec sed -i.ori 's:name=systemd:name=daemon:g' {} +
+   find . -type f -name "*.[hc]" -exec sed -i.ori 's:systemd-udevd:udevd:g' {} +
+   find . -type f -name "*.[hc]" -exec sed -i.ori 's:/run/udev:/var/run/udev:g' {} +
+   #epatch "${FILESDIR}/${P}"-run-to-var.patch || die
+
    # change rules back to group uucp instead of dialout for now
    sed -e 's/GROUP="dialout"/GROUP="uucp"/' \
       -i rules/*.rules \
    || die "failed to change group dialout to uucp"
 
-   if [[ ! -e configure ]]
+   if [ ! -e configure ]
    then
       if use doc
       then
@@ -156,14 +163,22 @@
       DBUS_CFLAGS=' '
       DBUS_LIBS=' '
       --docdir=/usr/share/doc/${PF}
-      --libdir=/usr/$(get_libdir)
+      --libdir=/$(get_libdir)
+      --libexecdir=/lib
+      --with-firmware-path=/lib/firmware/updates:/lib/firmware
+      --prefix=/
+      --exec-prefix=/
+      --includedir=/usr/include
+      --datarootdir=/usr/share
+      --with-dbuspolicydir=/usr/dbus-1/system.d
+      --libdir=/$(get_libdir)
       --with-distro=gentoo
-      --with-firmware-path=/usr/lib/firmware/updates:/usr/lib/firmware:/lib/firmware/updates:/lib/firmware
       --with-html-dir=/usr/share/doc/${PF}/html
-      --with-pci-ids-path=/usr/share/misc/pci.ids
-      --with-rootlibdir=/usr/$(get_libdir)
-      --with-rootprefix=/usr
-      --with-usb-ids-path=/usr/share/misc/usb.ids
+      --with-pci-ids-path=/etc/hwids/pci.ids
+      --with-usb-ids-path=/etc/hwids/usb.ids
+      --with-rootprefix=/
+      --with-rootlibdir=/$(get_libdir)
+      --disable-acl
       --disable-audit
       --disable-coredump
       --disable-hostnamed
@@ -171,6 +186,7 @@
       --disable-libcryptsetup
       --disable-localed
       --disable-logind
+      --disable-vconsole
       --disable-nls
       --disable-pam
       --disable-quotacheck
@@ -179,13 +195,13 @@
       --disable-tcpwrap
       --disable-timedated
       --disable-xz
-      $(use_enable acl)
       $(use_enable doc gtk-doc)
       $(use_enable gudev)
       $(use_enable introspection)
       $(use_enable keymap)
       $(use_enable selinux)
       $(use_enable static-libs static)
+      $(use_enable acl)
    )
    econf "${econf_args[@]}"
 }
@@ -213,7 +229,7 @@
    use keymap && targets+=( keymap )
    use gudev && targets+=( libgudev-1.0.la )
 
-   emake "${targets[@]}"
+   emake udevlibexecdir=/lib/udev "${targets[@]}"
    if use doc
    then
       emake -C docs/libudev
@@ -259,6 +275,7 @@
 
    # add final values of variables:
    targets+=(
+      udevlibexecdir=/lib/udev
       rootlibexec_PROGRAMS=systemd-udevd
       bin_PROGRAMS=udevadm
       lib_LTLIBRARIES="${lib_LTLIBRARIES}"
@@ -280,15 +297,35 @@
    dodoc TODO
 
    prune_libtool_files --all
-   rm -f "${D}"/usr/lib/udev/rules.d/99-systemd.rules
+   rm -f "${D}"/lib/udev/rules.d/99-systemd.rules
    rm -rf "${D}"/usr/share/doc/${PF}/LICENSE.*
 
+   dodir /usr/$(get_libdir)
+   mv ${D:-:}/$(get_libdir)/pkgconfig ${D}/usr/$(get_libdir)
+
+   gen_usr_ldscript libudev.so
+
+   dodir /$(get_libdir)/udev
+   mv ${D}/lib/systemd/systemd-udevd ${D}/$(get_libdir)/udev/udevd
+   rm -r "${D}"/lib/systemd
+
+   dodir /sbin
+
+   if [ -x ${D}/bin/udevadm ]; then
+      mv ${D}/bin/udevadm ${D}/sbin/udevadm
+   fi
+   # udevadm is now in /usr/bin. <--- I can't believe it !!
+   dosym /sbin/udevadm /bin/udevadm
+
+   # create symlinks for these utilities to /sbin
+   # where multipath-tools expect them to be (Bug #168588)
+   dosym /lib/udev/scsi_id /sbin/scsi_id
+
+
    # install gentoo-specific rules
-   insinto /usr/lib/udev/rules.d
+   insinto /lib/udev/rules.d
    doins "${FILESDIR}"/40-gentoo.rules
 
-   # install udevadm symlink
-   dosym ../usr/bin/udevadm /sbin/udevadm
 }
 
 pkg_preinst()
@@ -305,7 +342,7 @@
             /usr/share/gtk-doc/html/${htmldir}
       fi
    done
-   preserve_old_lib /usr/$(get_libdir)/libudev.so.0
+   preserve_old_lib /$(get_libdir)/libudev.so.0
 }
 
 # This function determines if a directory is a mount point.
@@ -383,17 +420,6 @@
    ewarn "If you are using standalone udev, consolekit handles this"
    ewarn "functionality."
 
-   if [[ -d ${ROOT}lib/udev ]]
-   then
-      ewarn
-      ewarn "This version of udev moves the files that were installed in"
-      ewarn "/lib/udev to /usr/lib/udev."
-      ewarn "We include a backward compatibility patch for gentoo to"
-      ewarn "allow the rules in /lib/udev/rules.d to be read. However,"
-      ewarn "bugs should be filed against packages that are installing"
-   ewarn "files in /lib/udev so they can be fixed."
-   fi
-
    ewarn
    ewarn "You need to restart udev as soon as possible to make the upgrade go"
    ewarn "into affect."
@@ -404,7 +430,7 @@
    ewarn "generator. If you need persistent names for these devices,"
    ewarn "place udev rules for them in ${ROOT}etc/udev/rules.d."
 
-   preserve_old_lib_notify /usr/$(get_libdir)/libudev.so.0
+   preserve_old_lib_notify /$(get_libdir)/libudev.so.0
 
    elog
    elog "For more information on udev on Gentoo, writing udev rules, and"


# cat s6-linux-utils-0.12.ebuild
Code:

# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header:

EAPI=4

inherit multilib toolchain-funcs

DESCRIPTION="set of minimalistic Linux-specific system utilities"
HOMEPAGE="http://www.skarnet.org/software/s6-linux-utils/index.html"
SRC_URI="http://www.skarnet.org/software/${PN}/${P}.tar.gz"

LICENSE="ISC"
SLOT="0"
KEYWORDS="~amd64 ~x86"
IUSE="doc static-libs"

DEPEND="dev-libs/skalibs"
RDEPEND=""

S=${WORKDIR}/admin/${P}

src_prepare() {
   echo ${S} > conf-compile/conf-sp_root
   mkdir -p package/prog/skalibs/sysdeps
   cp -a /usr/$(get_libdir)/skalibs/sysdeps package/prog/skalibs/
   ln -s ../../package/prog/skalibs/sysdeps/systype ${S}/src/sys/systype
}

src_configure() {
   echo $(tc-getCC) ${CFLAGS} > conf-compile/conf-cc
   echo $(tc-getCC) ${LDFLAGS} > conf-compile/conf-dynld
   echo $(tc-getCC) ${LDFLAGS} > conf-compile/conf-ld
   echo /usr/include/skalibs > conf-compile/path-include
   echo /usr/$(get_libdir)/skalibs > conf-compile/path-library
   use static-libs && touch conf-compile/flag-allstatic
}

src_compile() {
   emake -j1
}

src_install() {

   exeinto /sbin
   doexe command/*

   cd doc || die
   for f in $(find . -type f ! -name "*.html" ! -name "COPYING") ; do
      docinto $(dirname f)
      dodoc $f
   done
   docinto html
   use doc && dohtml -r .
}

_________________
« La seule condition au triomphe du mal, c'est l'inaction des gens de bien » E.Burke
Code:

+----+----+----+
|    |::::|    |
|    |::::|    |
+----+----+----+

motto: WeLCRO
WritE Less Code, Repeat Often
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Kernel & Hardware All times are GMT
Goto page Previous  1, 2, 3, 4 ... 12, 13, 14  Next
Page 3 of 14

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum